# H245_H2250Capability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H2250Capability:

List of all members.

## Public Types

enum | OptionalFields { e_transportCapability, e_redundancyEncodingCapability, e_logicalChannelSwitchingCapability, e_t120DynamicPortCapability }

## Public Member Functions

| H245_H2250Capability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_maximumAudioDelayJitter
H245_MultipointCapability | m_receiveMultipointCapability
H245_MultipointCapability | m_transmitMultipointCapability
H245_MultipointCapability | m_receiveAndTransmitMultipointCapability
H245_H2250Capability_mcCapability | m_mcCapability
PASN_Boolean | m_rtcpVideoControlCapability
H245_MediaPacketizationCapability | m_mediaPacketizationCapability
H245_TransportCapability | m_transportCapability
H245_ArrayOf_RedundancyEncodingCapability | m_redundancyEncodingCapability
PASN_Boolean | m_logicalChannelSwitchingCapability
PASN_Boolean | m_t120DynamicPortCapability

## Member Enumeration Documentation

enum H245_H2250Capability::OptionalFields

Enumerator:

  e_transportCapability |
  e_redundancyEncodingCapability |
  e_logicalChannelSwitchingCapability |
  e_t120DynamicPortCapability |

## Constructor & Destructor Documentation

H245_H2250Capability::H245_H2250Capability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H2250Capability::GetDataLength | ( |  | ) | const

PBoolean H245_H2250Capability::Decode | ( | PASN_Stream & | strm | ) |

void H245_H2250Capability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H2250Capability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H2250Capability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H2250Capability::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H245_H2250Capability::m_maximumAudioDelayJitter

H245_MultipointCapability H245_H2250Capability::m_receiveMultipointCapability

H245_MultipointCapability H245_H2250Capability::m_transmitMultipointCapability

H245_MultipointCapability H245_H2250Capability::m_receiveAndTransmitMultipointCapability

H245_H2250Capability_mcCapability H245_H2250Capability::m_mcCapability

PASN_Boolean H245_H2250Capability::m_rtcpVideoControlCapability

H245_MediaPacketizationCapability H245_H2250Capability::m_mediaPacketizationCapability

H245_TransportCapability H245_H2250Capability::m_transportCapability

H245_ArrayOf_RedundancyEncodingCapability H245_H2250Capability::m_redundancyEncodingCapability

PASN_Boolean H245_H2250Capability::m_logicalChannelSwitchingCapability

PASN_Boolean H245_H2250Capability::m_t120DynamicPortCapability

The documentation for this class was generated from the following file:

- h245.h